
<template>
	
	<div class="grid grid-cols-1 md:grid-cols-2 gap-8">

		<template v-if="!loading">
			
			<div v-for="product in products" :key="product.id">
				<ProductListItem :product="product" />
			</div>

		</template>
		<template v-else>

			<ProductListItem :loading="true" />
			<ProductListItem :loading="true" />
			<ProductListItem :loading="true" />
			<ProductListItem :loading="true" />

		</template>

	</div>

</template>

<script>

import ProductListItem from './ProductListItem.vue';

/**
 * Component responsible for displaying a list of products.
 * When in loading state, the list of products is replaced by 4 skeleton loaders for an improved user experience.
 */
export default {
	props: [
		'loading',
		'products',
	],
	components: {
		ProductListItem
	},
}
</script>

